Page MenuHomePhabricator

CiteDataModule depends on request data
Closed, ResolvedPublic0 Estimate Story Points

Description

The load.php endpoint is not supposed to depend on session data, however CiteDataModule depends on the language of $wgUser.

12016-02-24 00:18:49 wiki exception ERROR: [1f9d7cc0] /w/load.php?debug=false&lang=en&modules=startup&only=scripts&skin=vector BadMethodCallException from line 959 of /vagrant/mediawiki/includes/session/SessionManager.php: Sessions are disabled for this entry point {"exception_id":"1f9d7cc0"}
2[Exception BadMethodCallException] (/vagrant/mediawiki/includes/session/SessionManager.php:959) Sessions are disabled for this entry point
3 #0 /vagrant/mediawiki/includes/session/SessionManager.php(295): MediaWiki\Session\SessionManager->getSessionFromInfo(MediaWiki\Session\SessionInfo, WebRequest)
4 #1 /vagrant/mediawiki/includes/session/SessionManager.php(229): MediaWiki\Session\SessionManager->getEmptySessionInternal(WebRequest)
5 #2 /vagrant/mediawiki/includes/session/SessionManager.php(184): MediaWiki\Session\SessionManager->getEmptySession(WebRequest)
6 #3 /vagrant/mediawiki/includes/WebRequest.php(664): MediaWiki\Session\SessionManager->getSessionForRequest(WebRequest)
7 #4 /vagrant/mediawiki/includes/user/User.php(1176): WebRequest->getSession()
8 #5 /vagrant/mediawiki/includes/user/User.php(385): User->loadFromSession()
9 #6 /vagrant/mediawiki/includes/user/User.php(5094): User->load()
10 #7 /vagrant/mediawiki/includes/user/User.php(2707): User->loadOptions()
11 #8 /vagrant/mediawiki/includes/context/RequestContext.php(368): User->getOption(string)
12 #9 /vagrant/mediawiki/includes/StubObject.php(204): RequestContext->getLanguage()
13 #10 /vagrant/mediawiki/includes/StubObject.php(160): StubUserLang->_newObject()
14 #11 /vagrant/mediawiki/includes/StubObject.php(104): StubObject->_unstub(string, integer)
15 #12 /vagrant/mediawiki/includes/StubObject.php(179): StubObject->_call(string, array)
16 #13 /vagrant/mediawiki/includes/cache/MessageCache.php(824): StubUserLang->__call(string, array)
17 #14 /vagrant/mediawiki/includes/cache/MessageCache.php(767): MessageCache->getMessageFromFallbackChain(StubUserLang, string, boolean)
18 #15 /vagrant/mediawiki/includes/Message.php(1148): MessageCache->get(string, boolean, StubUserLang)
19 #16 /vagrant/mediawiki/includes/Message.php(771): Message->fetchMessage()
20 #17 /vagrant/mediawiki/includes/Message.php(874): Message->toString()
21 #18 /vagrant/mediawiki/extensions/Cite/CiteDataModule.php(24): Message->plain()
22 #19 /vagrant/mediawiki/extensions/Cite/CiteDataModule.php(57): CiteDataModule->getScript(DerivativeResourceLoaderContext)
23 #20 /vagrant/mediawiki/includes/resourceloader/ResourceLoaderModule.php(707): CiteDataModule->getDefinitionSummary(DerivativeResourceLoaderContext)
24 #21 /vagrant/mediawiki/includes/resourceloader/ResourceLoader.php(622): ResourceLoaderModule->getVersionHash(DerivativeResourceLoaderContext)
25 #22 [internal function]: Closure$ResourceLoader::getCombinedVersion(string)
26 #23 /vagrant/mediawiki/includes/resourceloader/ResourceLoader.php(623): array_map(Closure$ResourceLoader::getCombinedVersion;1299315079, array)
27 #24 /vagrant/mediawiki/includes/resourceloader/ResourceLoaderStartUpModule.php(401): ResourceLoader->getCombinedVersion(DerivativeResourceLoaderContext, array)
28 #25 /vagrant/mediawiki/includes/resourceloader/ResourceLoaderStartUpModule.php(374): ResourceLoaderStartUpModule->getAllModuleHashes(DerivativeResourceLoaderContext)
29 #26 /vagrant/mediawiki/includes/resourceloader/ResourceLoaderModule.php(707): ResourceLoaderStartUpModule->getDefinitionSummary(DerivativeResourceLoaderContext)
30 #27 /vagrant/mediawiki/includes/resourceloader/ResourceLoader.php(622): ResourceLoaderModule->getVersionHash(DerivativeResourceLoaderContext)
31 #28 [internal function]: Closure$ResourceLoader::getCombinedVersion(string)
32 #29 /vagrant/mediawiki/includes/resourceloader/ResourceLoader.php(623): array_map(Closure$ResourceLoader::getCombinedVersion;1299315079, array)
33 #30 /vagrant/mediawiki/includes/resourceloader/ResourceLoader.php(675): ResourceLoader->getCombinedVersion(ResourceLoaderContext, array)
34 #31 /vagrant/mediawiki/load.php(43): ResourceLoader->respond(ResourceLoaderContext)
35 #32 /var/www/w/load.php(5): include(string)
36 #33 {main}

Details

Related Gerrit Patches:
mediawiki/extensions/Cite : masterUse inLanguage() in CiteDataModule

Event Timeline

bd808 created this task.Feb 24 2016, 12:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2016, 12:29 AM

Change 272917 had a related patch set uploaded (by BryanDavis):
Use inContentLanguage() in CiteDataModule

https://gerrit.wikimedia.org/r/272917

Change 272917 merged by jenkins-bot:
Use inLanguage() in CiteDataModule

https://gerrit.wikimedia.org/r/272917

Krinkle closed this task as Resolved.Feb 24 2016, 1:40 AM
Jdforrester-WMF set the point value for this task to 0.
Restricted Application added a project: User-bd808. · View Herald TranscriptFeb 24 2016, 2:28 AM
bd808 moved this task from To Do to Done on the User-bd808 board.Mar 10 2016, 4:26 PM
bd808 moved this task from Done to Archive on the User-bd808 board.Mar 14 2016, 5:55 PM